// Warning merged two different sets here Kurt Eckhardt
/*
  EEPROM.h - EEPROM library
  Copyright (c) 2006 David A. Mellis.  All right reserved.
 Copyright (c) 2010 Robert V Mahoney Jr

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
  This was converted to run on the H8 processors, but kept the Adruino class
  definition.  Will use C functions specific for H8 processors.
  Kurt Eckhardt
  
*/

#ifndef EEPROM_h
#define EEPROM_h

#include "baplib.h"

#ifdef __cplusplus

class EEPROMClass
{
  public:
    u8 read(int);
    void write(int, u8);
};

extern EEPROMClass EEPROM;

extern "C"
{
#endif	// CPlusplus - 
void EEPROMInitialize (u8 _bI2CAddr);
void EEPROMRead (u8 _bI2CAddr, u16 _wAddress, u16 _wCount, u8 *p_bData);
void EEPROMWrite (u8 _bI2CAddr, u16 _wAddress, u16 _wCount, u8 *p_bData);
void EEPROMTest (u8 _bI2CAddr);

#ifdef __cplusplus
}
#endif
#endif

