// this is for the phoenix on Arc32
//Project Lynxmotion Phoenix
//Description: Phoenix, configuration file.
//		All Hardware connections (excl controls) and body dimensions 
//		are configurated in this file. Can be used with V2.0 and above
//Configuration version: V2.0
//Date: 06-10-2009
//Programmer: Jeroen Janssen (aka Xan)
// 	ARC32 Version: Kurt Eckhardt(kurte)
//
//Hardware setup: ABB2 with ATOM 28 Pro, SSC32 V2, (See further for connections)
//
//NEW IN V2.0
//	- Conversion to Arc32
//
//--------------------------------------------------------------------
//#define USEPS2			1		// Do we use the PS2?
#define USEXBEE			1		// and/or do we use XBEE?
//#define USERC			1		// and/or do we use RC

// define what pins we will use for 
#ifdef USEPS2
#define PS2_DAT		40 // P0
#define PS2_CMD		41 // P1
#define PS2_SEL		42 // P2
#define PS2_CLK		43	// P3
#endif



//--------------------------------------------------------------------
//[BB2 PIN NUMBERS]
#define cEyesPin		P0
//--------------------------------------------------------------------
//[ARC32 PIN NUMBERS]
#define cRRCoxaPin 		P31	//Rear Right leg Hip Horizontal
#define cRRFemurPin 	P30	//Rear Right leg Hip Vertical
#define cRRTibiaPin 	P29	//Rear Right leg Knee

#define cRMCoxaPin 		P28	//Middle Right leg Hip Horizontal
#define cRMFemurPin 	P27	//Middle Right leg Hip Vertical
#define cRMTibiaPin 	P26	//Middle Right leg Knee

#define cRFCoxaPin 		P25	//Front Right leg Hip Horizontal
#define cRFFemurPin 	P24	//Front Right leg Hip Vertical
#define cRFTibiaPin 	P23	//Front Right leg Knee

#define cLRCoxaPin 		P15	//Rear Left leg Hip Horizontal
#define cLRFemurPin 	P14	//Rear Left leg Hip Vertical
#define cLRTibiaPin 	P13	//Rear Left leg Knee

#define cLMCoxaPin 		P12	//Middle Left leg Hip Horizontal
#define cLMFemurPin 	P11	//Middle Left leg Hip Vertical
#define cLMTibiaPin 	P10	//Middle Left leg Knee

#define cLFCoxaPin 		P9	//Front Left leg Hip Horizontal
#define cLFFemurPin 	P8	//Front Left leg Hip Vertical
#define cLFTibiaPin 	P4	//Front Left leg Knee

// 
#define cSound			P19	// lets try output sound on plug in speaker
#define SOUND_PIN		P19

//--------------------------------------------------------------------
//[MIN/MAX ANGLES]
#define cRRCoxaMin1		-260	//Mechanical limits of the Right Rear Leg, decimals = 1
#define cRRCoxaMax1		740
#define cRRFemurMin1	-1010
#define cRRFemurMax1	950
#define cRRTibiaMin1	-1060
#define cRRTibiaMax1	770

#define cRMCoxaMin1		-530	//Mechanical limits of the Right Middle Leg, decimals = 1
#define cRMCoxaMax1		530
#define cRMFemurMin1	-1010
#define cRMFemurMax1	950
#define cRMTibiaMin1	-1060
#define cRMTibiaMax1	770

#define cRFCoxaMin1		-580	//Mechanical limits of the Right Front Leg, decimals = 1
#define cRFCoxaMax1		740
#define cRFFemurMin1	-1010
#define cRFFemurMax1	950
#define cRFTibiaMin1	-1060
#define cRFTibiaMax1	770

#define cLRCoxaMin1		-740	//Mechanical limits of the Left Rear Leg, decimals = 1
#define cLRCoxaMax1		260
#define cLRFemurMin1	-950
#define cLRFemurMax1	1010
#define cLRTibiaMin1	-770
#define cLRTibiaMax1	1060

#define cLMCoxaMin1		-530	//Mechanical limits of the Left Middle Leg, decimals = 1
#define cLMCoxaMax1		530
#define cLMFemurMin1	-950
#define cLMFemurMax1	1010
#define cLMTibiaMin1	-770
#define cLMTibiaMax1	1060

#define cLFCoxaMin1		-740	//Mechanical limits of the Left Front Leg, decimals = 1
#define cLFCoxaMax1		580
#define cLFFemurMin1	-950
#define cLFFemurMax1	1010
#define cLFTibiaMin1	-770
#define cLFTibiaMax1	1060
//--------------------------------------------------------------------
//[BODY DIMENSIONS]
#define cCoxaLength  	29		//Length of the Coxa [mm]
#define cFemurLength 	76		//Length of the Femur [mm]
#define cTibiaLength 	106		//Lenght of the Tibia [mm]

#define cRRCoxaAngle1 	-600	//Default Coxa setup angle, decimals = 1
#define cRMCoxaAngle1 	0		//Default Coxa setup angle, decimals = 1
#define cRFCoxaAngle1 	600		//Default Coxa setup angle, decimals = 1
#define cLRCoxaAngle1 	-600	//Default Coxa setup angle, decimals = 1
#define cLMCoxaAngle1 	0		//Default Coxa setup angle, decimals = 1
#define cLFCoxaAngle1 	600		//Default Coxa setup angle, decimals = 1

#define cRROffsetX 		-43		//Distance X from center of the body to the Right Rear coxa
#define cRROffsetZ 		82		//Distance Z from center of the body to the Right Rear coxa
#define cRMOffsetX 		-63		//Distance X from center of the body to the Right Middle coxa
#define cRMOffsetZ 		0		//Distance Z from center of the body to the Right Middle coxa
#define cRFOffsetX 		-43		//Distance X from center of the body to the Right Front coxa
#define cRFOffsetZ 		-82		//Distance Z from center of the body to the Right Front coxa

#define cLROffsetX 		43		//Distance X from center of the body to the Left Rear coxa
#define cLROffsetZ 		82		//Distance Z from center of the body to the Left Rear coxa
#define cLMOffsetX 		63		//Distance X from center of the body to the Left Middle coxa
#define cLMOffsetZ 		0		//Distance Z from center of the body to the Left Middle coxa
#define cLFOffsetX 		43		//Distance X from center of the body to the Left Front coxa
#define cLFOffsetZ 		-82		//Distance Z from center of the body to the Left Front coxa
//--------------------------------------------------------------------
//[START POSITIONS FEET]
#define cRRInitPosX 	53		//Start positions of the Right Rear leg
#define cRRInitPosY 	25
#define cRRInitPosZ 	91

#define cRMInitPosX 	105		//Start positions of the Right Middle leg
#define cRMInitPosY 	25
#define cRMInitPosZ 	0

#define cRFInitPosX 	53		//Start positions of the Right Front leg
#define cRFInitPosY 	25
#define cRFInitPosZ 	-91

#define cLRInitPosX 	53		//Start positions of the Left Rear leg
#define cLRInitPosY 	25
#define cLRInitPosZ 	91

#define cLMInitPosX 	105		//Start positions of the Left Middle leg
#define cLMInitPosY 	25
#define cLMInitPosZ 	0

#define cLFInitPosX 	53		//Start positions of the Left Front leg
#define cLFInitPosY 	25
#define cLFInitPosZ 	-91
//--------------------------------------------------------------------
